<?php

namespace App\Modules\GroupPassengerMedia\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListGroupPassengerMediaQuery implements Query
{
    public function __construct(
        private int $idGroupPassenger,
        private string $action
    ) {
    }

    public function idGroupPassenger(): int
    {
        return $this->idGroupPassenger;
    }

    public function getAction(): string
    {
        return $this->action;
    }
}
